import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormGroup, ReactiveFormsModule } from '@angular/forms';
import { UiRadiobuttonGroupModule } from '@ui/radiobutton-group/radiobutton-group.module';
import { UiTextareaModule } from '@ui/textarea/textarea.module';
import { SlutredovisningFormService } from '../../slutredovisning-form.service';
import { SlutredovisningFormStep0EducationComponent } from './slutredovisning-form-step0-education.component';

describe('SlutredovisningFormStep0EducationComponent', () => {
  let component: SlutredovisningFormStep0EducationComponent;
  let fixture: ComponentFixture<SlutredovisningFormStep0EducationComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [SlutredovisningFormStep0EducationComponent],
      imports: [ReactiveFormsModule, UiRadiobuttonGroupModule, UiTextareaModule],
      providers: [SlutredovisningFormService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SlutredovisningFormStep0EducationComponent);
    component = fixture.componentInstance;
    component.formGroupRef = new FormGroup({});
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
